#include <gdk/gdk.h>
#include <gdk/gdkx.h>

#include <GL/gl.h>
#include <GL/glx.h>

int main(int argc, char* argv[]) {
  Display *dpy;
  XVisualInfo *vi;
  GdkVisual  *visual;
  gint attrlist[] = {GLX_RGBA, GLX_DOUBLEBUFFER, GLX_DEPTH_SIZE, 32, 0};

  gdk_init(&argc, &argv);
  dpy = GDK_DISPLAY();
  g_print("display: %u\n", dpy);
  g_print("screen: %u\n", DefaultScreen(dpy));
  
  vi = glXChooseVisual(dpy,DefaultScreen(dpy), attrlist);
  g_print("Visual: %u\n", vi);
  if(!vi)
    return 1;
  
  visual = gdkx_visual_get(vi->visualid);
  XFree(vi);
  
  return 0;
}
